<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaNotificacion.home.createOrEditLabel"
          data-cy="NotificacionCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaNotificacion.home.createOrEditLabel')"
        >
          Create or edit a Notificacion
        </h2>
        <div>
          <div class="form-group" v-if="notificacion.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="notificacion.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaNotificacion.fechaInicio')" for="notificacion-fechaInicio"
              >Fecha Inicio</label
            >
            <div class="d-flex">
              <input
                id="notificacion-fechaInicio"
                data-cy="fechaInicio"
                type="datetime-local"
                class="form-control"
                name="fechaInicio"
                :class="{ valid: !$v.notificacion.fechaInicio.$invalid, invalid: $v.notificacion.fechaInicio.$invalid }"
                :value="convertDateTimeFromServer($v.notificacion.fechaInicio.$model)"
                @change="updateInstantField('fechaInicio', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaNotificacion.fechaActualizacion')"
              for="notificacion-fechaActualizacion"
              >Fecha Actualizacion</label
            >
            <div class="d-flex">
              <input
                id="notificacion-fechaActualizacion"
                data-cy="fechaActualizacion"
                type="datetime-local"
                class="form-control"
                name="fechaActualizacion"
                :class="{ valid: !$v.notificacion.fechaActualizacion.$invalid, invalid: $v.notificacion.fechaActualizacion.$invalid }"
                :value="convertDateTimeFromServer($v.notificacion.fechaActualizacion.$model)"
                @change="updateZonedDateTimeField('fechaActualizacion', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaNotificacion.estado')" for="notificacion-estado">Estado</label>
            <input
              type="number"
              class="form-control"
              name="estado"
              id="notificacion-estado"
              data-cy="estado"
              :class="{ valid: !$v.notificacion.estado.$invalid, invalid: $v.notificacion.estado.$invalid }"
              v-model.number="$v.notificacion.estado.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaNotificacion.tipoNotificacion')"
              for="notificacion-tipoNotificacion"
              >Tipo Notificacion</label
            >
            <input
              type="number"
              class="form-control"
              name="tipoNotificacion"
              id="notificacion-tipoNotificacion"
              data-cy="tipoNotificacion"
              :class="{ valid: !$v.notificacion.tipoNotificacion.$invalid, invalid: $v.notificacion.tipoNotificacion.$invalid }"
              v-model.number="$v.notificacion.tipoNotificacion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaNotificacion.token')" for="notificacion-token">Token</label>
            <select class="form-control" id="notificacion-token" data-cy="token" name="token" v-model="notificacion.token">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="notificacion.token && tokenDispOption.id === notificacion.token.id ? notificacion.token : tokenDispOption"
                v-for="tokenDispOption in tokenDisps"
                :key="tokenDispOption.id"
              >
                {{ tokenDispOption.tokenConexion }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.notificacion.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./notificacion-update.component.ts"></script>
